from collections import namedtuple

# pojmenovaná n-tice pro záznam údajů o jednom filmu
Film = namedtuple('FilmInfo', 'pořadí, název, rok, režisér')

# načtení údajů o jednotlivých filmech do seznamu pro pozdější zpracování
filmy = []
with open('filmy_1.csv', mode='tr', encoding='utf-8') as soubor:
    for řádka in soubor:
        pořadí, název, rok, režisér = řádka.strip('\n').split(';')
        filmy.append(
            Film(pořadí, název[21:], rok, režisér)   # jedna pojmenovaná čtveřice!
        )

# výpis seznamu
for film in sorted(filmy, key=lambda x: x.název, reverse=True):
    print(f'{film.pořadí:0>2}. {film.název} ({film.rok})')
    print(f'\t~ {film.režisér}\n')

# Kontrolní výpis seznamu filmů
print(filmy)
